﻿.JQGrid tr td textarea
{
   height: 160px;
   width: 600px;
   resize: none;
} 

.JQGrid tr td select
{
   width: 240px;
   border: 1px solid rgb(197, 219, 236);
   height: 20px;
} 

.edit-icon-grid
{
    float: left;
    border: 0;
    cursor:  pointer;
}

.delete-icon-grid
{
    float: left;
    border: 0;
    cursor:  pointer;
}

.custom-icon-grid
{
    float: left;
    border: 0;
    cursor:  pointer;
    display: table;
    margin: 0 auto
}

.actions-icon-grid
{
    display: flex;
}

.requiredField
{
    color: Red;
}

.infoField
{
    font-style: italic;
    color: #696969;
}

/* -------------------------------------------------------*/
/* -------- Icon ---------------------------------------- */
/* -------------------------------------------------------*/
.ui-icon-excel
{
    background-image : url('../Images/excel_ico.png')!important;
}

/* -------------------------------------------------------*/
/* -------- Footer -------------------------------------- */
/* -------------------------------------------------------*/
.ui-jqgrid tr.footrow-ltr td
{
    border: 0px!important;   
    /* background: url("images/ui-bg_glass_85_dfeffc_1x400.png") repeat-x scroll 50% 50% #dfeffc!important;
    border: 1px solid #c5dbec!important;*/
    color: #2e6e9e!important;
    font-weight: bold!important;
    background: #FCFDFD;
}

.ui-jqgrid-footer
{
    float: left;
    margin-bottom: 3px;
    margin-left: 6px;    
}

.ui-jqgrid-footer-label
{
    font-weight: normal;
}

/* -------------------------------------------------------*/
/* -------- Pagin --------------------------------------- */
/* -------------------------------------------------------*/
.ui-pg-selbox
{
    width:auto!important;
}

/* -------------------------------------------------------*/
/* -------- Custom Header Grid  ------------------------- */
/* -------------------------------------------------------*/
.ui-jqgrid .ui-jqgrid-title {
    margin: 7px!important;
}

/* -------------------------------------------------------*/
/* -------- Custom Radio button ------------------------- */
/* -------------------------------------------------------*/
.custom-rb 
{
    white-space: nowrap;
    float: left;
    margin: 1px 10px 4px 0;
}

.custom-rb label
{
    margin-left:2px;
    margin-right: 10px;
}

/* -------------------------------------------------------*/
/* -------- Custom Dropdown ----------------------------- */
/* -------------------------------------------------------*/
.ui-selectmenu-open 
{
    z-index: 999!important;
}

.ui-selectmenu-button span.ui-selectmenu-text 
{
    padding : 2px 0px 2px 5px!important;
}

.ui-selectmenu-button
{
    width:240px!important;
} 

/* -------------------------------------------------------*/
/* -------- Custom Tooltip ------------------------------ */
/* -------------------------------------------------------*/
.tooltip-title
{
    font-weight : bold;
    padding-bottom: 10px;
    display:block;
}

/* -------------------------------------------------------*/
/* -------- Custom File Upload -------------------------- */
/* -------------------------------------------------------*/
.dvfileUpload
{
    display: inline-block;
    margin-bottom: 5px;
}

.fileUpload
{
    float: left;
    height: 22px;
}

.fileUpload input
{
    width: 250px;
}


.fileUploadDelete
{
    cursor: pointer;
    float: left;
    margin-left: 2px;
}

.custom-widget
{
    margin-left: 4px;
    margin-top: -13px;
    overflow: auto;
    padding: 5px;
    width: 590px;    
}

.ui-jqdialog input[type="text"]
{
    width: 233px;
}

.ui-jqdialog input[type="text"].large-text
{    
    width: 595px;
}

.ui-jqdialog input[type="text"].mid-text
{    
    width: 300px;
}

td.checkbox-jqgridcell
{
    text-align: center!important;
}

.nobackground{
    border: 0;
    background: none;
}

/* -------------------------------------------------------*/
/* -------- Custom File Upload -------------------------- */
/* -------------------------------------------------------*/
.text-area-view
{    
    height: 160px;
    width: 600px;
    resize: none;
    white-space: normal!important;
}

.ui-pg-input
{
    width: 16px!important;
}

/* -------------------------------------------------------*/
/* -------- Groupe Form --------------------------------- */
/* -------------------------------------------------------*/
.groupForm
{
    line-height: 15px;
    margin-top: 10px;
    padding-left: 3px;
}
.rowGroupForm
{
    background-color : #EEF4F9;   
}

.rowGroupForm td.CaptionTD
{
    border-left : 1px solid #4297d7
}

.rowGroupForm td.DataTD
{
    border-right : 1px solid #4297d7
}

.rowGroupForm td.InfoTD
{
    padding: 2px;
    vertical-align: top;
    border-left : 1px solid #4297d7;
    border-right : 1px solid #4297d7;
    font-style: italic;
}

.rowGroupFormLast
{
    margin-bottom: 10px;
}

.rowGroupFormLastRowSpace
{
    height: 10px;
    border-top : 1px solid #4297d7
}

.w250 td.CaptionTD
{
    width: 250px;
    white-space: normal;
}

/* -------------------------------------------------------*/
/* -------- Custom Radio button ------------------------- */
/* -------------------------------------------------------*/
.radiobutton
{
    margin: 5px!important;
}